unit Listcode;

{ Ramon Romera - dcembre 1996 }
{ repris par Keops dcembre 1997 }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TListeCodesForm = class(TForm)
    BitBtnOK: TBitBtn;
    ListBoxCodes: TListBox;
    BitBtnAnnuler: TBitBtn;
    Image2: TImage;
    Label1: TLabel;
    procedure BitBtnOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

implementation
{$R *.DFM}
uses UScore;

procedure TListeCodesForm.BitBtnOKClick(Sender: TObject);
begin
     if ListBoxCodes.ItemIndex <> -1
        then ModalResult:=mrOK
        else ModalResult:=mrCancel;
end;

procedure TListeCodesForm.FormCreate(Sender: TObject);
var
   sr : TSearchRec;
   error : integer;
   //s : string;
begin
     ListBoxCodes.Clear;
     error:=FindFirst(DossierScores+'\*.sco', faAnyFile, sr);
     screen.cursor:=crHourGlass;
     while error=0 do begin
           ListBoxCodes.Items.Add(' '+Copy(Sr.Name,1,pos('.',sr.Name)-1));
           error:=FindNext(sr);
     end;
     SysUtils.FindClose(sr);
     screen.cursor:=crDefault;
end;

end.
