unit Scores;

{ Ramon Romera - dcembre 1996 }
{ repris par Keops dcembre 1997 }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TScoresEleveForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    BitBtnOk: TBitBtn;
    Panel5: TPanel;
    ScrollBoxScores: TScrollBox;
    MemoScoresProg: TMemo;
    MemoScoresNbEssais: TMemo;
    MemoScoresResultat: TMemo;
    MemoScoresTheme: TMemo;
    MemoScoresNumero: TMemo;
    procedure BitBtnOkClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;


implementation
{$R *.DFM}
uses UConst, UScore, KTools;

procedure TScoresEleveForm.BitBtnOkClick(Sender: TObject);
begin
  Close;
end;

procedure TScoresEleveForm.FormShow(Sender: TObject);
Var f   : File;
    Id  : TIdent;
    W   : TScore;
    //p   : LongInt;
    res : Integer;
    s1,s2: string; (*//TStr8;*)
    _h  : integer;
    _nbExos: integer;
    _compteur: integer;
    aStr: string;
    n1,n2: word;
Begin
  AssignFile(f,DossierScores+'\'+CodeEleve+'.sco');
  {$I-}
  reset(f,1);
  {$I+}
  if IOResult=0 then begin

      _nbExos:=MemoScoresTheme.Lines.Count;
      _compteur:=0;

     with IdentEleve do Caption:=
       'Scores de '+ASCII2WIN(nom)+' '+ASCII2WIN(prenom)+' '+ASCII2WIN(classe);
     {
     caption:=DossierScores+'\'+CodeEleve+'.sco';
     }

      blockRead(f,Id,sizeof(TIdent));
      repeat
       blockRead(f,W,sizeof(TScore),res);
       if (res=sizeof(TScore))
          then begin
                 n1:=W.nbEssais;  s1:=IntToStr(n1);
                 n2:=W.Result; s2:=IntToStr(n2);

                 {Keops Test Ramon ShowMessage('W.nbEssais='+s1+' ; '+'W.Result='+s2);}

                    if (_compteur > _nbExos) or (_nbExos = 0)
                    then begin
                           aStr:=ASCII2WIN(W.theme);
                           MemoScoresTheme.Lines.Add( aStr );
                           aStr:=ASCII2WIN(W.prog);
                           MemoScoresProg.Lines.Add( aStr );
                           MemoScoresNbEssais.Lines.Add( s1 );
                           MemoScoresResultat.Lines.Add( '   '+s2 );
                           MemoScoresNumero.Lines.Add(inttostr(_compteur+1));
                         end
                    else begin
                           MemoScoresTheme.Lines[_compteur]:=ASCII2WIN(W.theme);
                           MemoScoresProg.Lines[_compteur]:=ASCII2WIN(W.prog);
                           MemoScoresNbEssais.Lines[_compteur]:=s1;
                           MemoScoresResultat.Lines[_compteur]:='   '+s2;
                           MemoScoresNumero.Lines[_compteur]:=inttostr(_compteur+1);
                         end;
                 inc(_compteur);
               end;
      until res<>SizeOf(TScore) ;
      CloseFile(f);

      _h := 18*MemoScoresTheme.Lines.Count;
      ScrollBoxScores.VertScrollBar.Range := _h;
      MemoScoresTheme.Height              := _h;
      MemoScoresProg.Height               := _h;
      MemoScoresNbEssais.Height           := _h;
      MemoScoresResultat.Height           := _h;
      MemoScoresNumero.Height             := _h;
  end;
end;

end.
