unit Inscrip;

{ Ramon Romera - dcembre 1996 }
{ repris par Keops dcembre 1997 }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TInscriptionForm = class(TForm)
    EditNom: TEdit;
    EditPrenom: TEdit;
    EditClasse: TEdit;
    BitBtnOK: TBitBtn;
    BitBtn1: TBitBtn;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure BitBtnOKClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Dclarations private }
  public
    { Dclarations public }
    LeCodeDeLeleve : string;
  end;


implementation
{$R *.DFM}
uses UScore,KTools;

procedure TInscriptionForm.BitBtnOKClick(Sender: TObject);
var quoi: boolean;
begin
  if (EditNom.text='') or (EditPrenom.text='') or (EditClasse.text='')
   then MessageDlg(#13+#13+
         '     Il faut remplir les trois rubriques !     '+#13+#13,
         mtWarning, [mbOk], 0)
   else begin
          with IdentEleve do begin
             nom:=WIN2ASCII(EditNom.text);
             prenom:=WIN2ASCII(EditPrenom.text);
             classe:=WIN2ASCII(EditClasse.text);
           end;
          quoi:=ScoreInit(LeCodeDelEleve, IdentEleve);
          if not quoi then MessageDlg('Problme avec ScoreInit',
                            mtWarning, [mbOk], 0);
          ModalResult:=mrOK;
          (*Close;*)
   end;

end;

procedure TInscriptionForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key=vk_Down then begin
     Key:=0;
     PostMessage(Handle,wm_KeyDown,vk_TAB,0);
  end else
  if Key=vk_Up then begin
     Key:=0;
     PostMessage(Handle,wm_KeyDown,vk_TAB,0);
     PostMessage(Handle,wm_KeyDown,vk_TAB,0);
  end;
end;

procedure TInscriptionForm.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key=vk_Down) or (Key=vk_Up) then begin
     Key:=0;
  end;
end;

end.
