Unit UScore;
{ gestion des fichiers Score lves }
{ les fichiers scores doivent se trouver dans le rpertoire courant }
{ K.B. juillet 1994 }

{ modifi par Keops dcembre 1997 }
{ la chaine DossierScores contient le nom du dossier o sont inscris les scores}
{   la procedure Initialise recherche dans le dossier exer6 de Lilimath }
{   sinon par dfaut on travaille dans le dossier windows }
{   DossierScores ne contient pas de \ final ! }
{ procedure ASCII2OEM de conversion Texte Dos vers Win }

INTERFACE

Uses UConst;

var
   DossierScores : String;
   {WinDir : string;}
   CodeEleve:      String;
   ScoreEleve:     TScore;
   IdentEleve:     TIdent;

Procedure GetScore(Code:TStr8; Var Score:TScore; Var Id:TIdent);
{ lecture du fichier .sco, Score doit tre initialis avec le
  nom du programme et le thme cherch }

Function  ScoreInit(Code:TStr8; Id:TIdent): Boolean;
{ cration d'un fichier .sco }

Procedure ReadIdent(Code:TStr8; Var Id:TIdent);
{ lecture du nom, du prnom et de la classe }

Procedure ScoreUpdate(Code:TStr8; Score:TScore);

Procedure FixeDossierScores( Dossier : String);

procedure Initialise;


IMPLEMENTATION

uses WinProcs,Classes,SysUtils, KTools ,IniFiles;


Procedure ScoreUpdate(Code:TStr8; Score:TScore);
Var f   : File;
    Id  : TIdent;
    W   : TScore;
    p   : LongInt;
    res : Integer;
    ok  : Boolean;
Begin
 ok:=false;
 AssignFile(f,DossierScores+'\'+Code+'.sco');
 {$I-}
 reset(f,1);
 {$I+}
 if IOResult=0 then begin
    blockread(f,Id,sizeof(TIdent));
    repeat
     p:=filepos(f);
     blockread(f,W,sizeof(TScore),res);
     if (res=sizeof(TScore)) and (W.Theme=Score.Theme) and (W.Prog=Score.Prog)
        then begin
              seek(f,p);
              blockwrite(f,Score,sizeof(TScore));
              ok:=true;
        end;
    until ok or (res=0);
    if not ok then blockwrite(f,Score,sizeof(TScore));
    closeFile(f);
 end;
End;

Procedure GetScore(Code:TStr8; Var Score:TScore; Var Id:TIdent);
Var f   : File;
    W   : TScore;
    res : Integer;
    ok  : Boolean;
Begin
 Score.NbEssais:=0;
 Score.Result:=0;
 AssignFile(f,DossierScores+'\'+Code+'.sco');
 {$I-}
 reset(f,1);
 {$I+}
 if IOResult=0 then begin
    blockread(f,Id,sizeof(Id));
    ok:=false;
    repeat
     blockread(f,W,sizeof(TScore),res);
     if (res=sizeof(TScore)) and (W.Theme=Score.Theme) and (W.Prog=Score.Prog)
        then begin
              Score:=W;
              ok:=true;
             end;
    until ok or (res<>sizeof(TScore));
    CloseFile(f);
 end;
End;

Function ScoreInit(Code:TStr8; Id:TIdent):Boolean;
Var f:File;
Begin
 AssignFile(f,DossierScores+'\'+Code+'.sco');
 {$I-}
 rewrite(f,1);
 {$I+}
 if IOResult<>0 then begin
          ScoreInit:=false;
 end else begin
    blockwrite(f,Id,sizeof(Id));
    CloseFile(f);
    ScoreInit:=true;
 end;
End;

Procedure ReadIdent(Code:TStr8; Var Id:TIdent);
Var
  f:File;
  s : String;
Begin
 s:=code;
 if Pos('.',s)<>0 then s:=copy(s,1,Pos('.',s)-1);
 AssignFile(f,DossierScores+'\'+s+'.sco');
 {$I-}
 reset(f,1);
 {$I+}
 if IOResult<>0 then begin
          Id.Nom:='';
          Id.Prenom:='';
          Id.Classe:='';
 end else begin
    blockread(f,Id,sizeof(Id));
    CloseFile(f);
 end;
End;

Procedure FixeDossierScores( Dossier : String);
var
   RegIni : TINiFile;
begin
     If DossierScores<>Dossier then begin
        DossierScores:=Dossier;
        RegIni:=TIniFile.Create('lilimath.ini');
        try
           if DossierScores[length(DossierScores)]='\' then delete(DossierScores,length(DossierScores),1);
           RegIni.WriteString('Installation','Scores',DossierScores);
        finally
           RegIni.Free;
        end;
     end;
end;

procedure Initialise;
var
   p : PChar;
   WinDir : string;
   RegIni : TINiFile;
begin
  p:=StrAlloc(200);
  GetWindowsDirectory(p,200);
  WinDir:=StrPas(p);
  StrDispose(p);
  if WinDir[length(WinDir)]='\' then delete(WinDir,length(WinDir),1);

  RegIni:=TIniFile.Create('lilimath.ini');
  try
     DossierScores:=RegIni.ReadString('Installation','Scores','');
     If DossierScores='' then begin
        DossierScores:=RegIni.ReadString('Installation','Dossier','');
        If DossierScores=''
           then DossierScores:=Windir
           else DossierScores:=DossierScores+'\EXER6';
        if DossierScores[length(DossierScores)]='\' then delete(DossierScores,length(DossierScores),1);
        RegIni.WriteString('Installation','Scores',DossierScores);
     end;
  finally
     RegIni.Free;
  end;

  if DossierScores[length(DossierScores)]='\' then delete(DossierScores,length(DossierScores),1);
  {DossierScores:=ExtractFilePath(ParamStr(0));}
end;


begin
     DossierScores:='';
     CodeEleve:='';
     Initialise;
end.
